import { jsx } from "react/jsx-runtime";
import { TokenXAUT as TokenXAUT$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenXAUT = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "XAUT", "data-name": "TokenXAUT", ...props, children: /* @__PURE__ */ jsx(TokenXAUT$1, { variant }) });
  }
);
TokenXAUT.displayName = "TokenXAUT";
Object.assign(TokenXAUT, { isGdsIcon: true });
export {
  TokenXAUT
};
